.swiper {
    width: 100%;
    height: 110vh;
    /* Adjust height as needed */
    position: relative;
}

.swiper-slide {
    position: relative;
    overflow: hidden;
    display: flex;
    justify-content: center;
    /* Center the content horizontally */
    align-items: center;
    /* Center the content vertically */
}

.swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    transition: transform 2s ease;
    /* Smooth zoom-out effect */
    transform: scale(1.2);
    /* Initial zoomed-in state */
}

.swiper-slide-active img {
    transform: scale(1);
    /* Transition to original size */
}


.swiper-slide .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    /* Adjust the opacity */
    z-index: 1;
}

.swiper-slide .content {
    position: relative;
    z-index: 2;
    color: #fff;
    text-align: left;
    /* Left-align text within the container */
    padding: 20px;
    max-width: 600px;
    /* Maximum width of the content container */
    width: 100%;
    /* Ensure content container takes up the available space */
    box-sizing: border-box;
    /* Include padding in the width calculation */

    margin-left: 10%;
}

.swiper-slide .content h2 {
    margin: 0;
    font-size: 2rem;
    /* Adjust font size as needed */


    font-size: 45px;
    color: #fff;
    padding: 0;
    margin: 0 0 15px 0;
    font-weight: 700;
    line-height: 1.2;

}

.swiper-slide .content p {
    margin: 10px 0 0;
    font-size: 1rem;
    /* Adjust font size as needed */
}

.autoplay-progress {
    position: absolute;
    right: 16px;
    bottom: 16px;
    z-index: 10;
    width: 48px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    color: var(--color-primary);
}

.autoplay-progress svg {
    --progress: 0;
    position: absolute;
    left: 0;
    top: 0;
    z-index: 10;
    width: 100%;
    height: 100%;
    stroke-width: 4px;
    stroke: var(--color-primary);
    fill: none;
    stroke-dashoffset: calc(125.6px * (1 - var(--progress)));
    stroke-dasharray: 125.6;
    transform: rotate(-90deg);
}


.centered-container {
    display: flex;
    align-items: center;
    /* Center vertically */
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
}


@media(max-width : 768px) {
    .swiper {
        width: 100%;
        height: 50vh;
        /* Adjust height as needed */
        position: relative;
    }


    .swiper-slide img {

        object-fit: cover;
        position: absolute;
        top: 0;
        left: 0;
        transition: transform 2s ease;
        /* Smooth zoom-out effect */
        transform: scale(1.2);
        /* Initial zoomed-in state */
    }
}



/* <div class="swiper-button-next"></div>
			<div class="swiper-button-prev"></div>
			<div class="swiper-pagination"></div> */


.swiper-button-next {
    color: var(--color-primary) !important;
}

.swiper-button-pre {
    color: var(--color-primary) !important;
}

.swiper-button-prev:after {
    color: var(--color-primary) !important;
}


.swiper-pagination-bullet {
    background: var(--color-primary) !important;
}